From mboxrd@z Thu Jan  1 00:00:00 1970
Date: Thu, 28 Oct 2021 23:21:02 +0200
From: =?iso-8859-1?Q?Ho=EBl_B=E9zier?= <hoelbezier@riseup.net>
To: Sebastian LaVine <mail@smlavine.com>
Cc: list+catgirl@causal.agency
Subject: Re: catgirl timestamp colors
Message-ID: <YXsUPucFBipfLRE8@long-feu>
References: <YXrsE3aWDmah4OIO@long-feu>
 <CFB9746L08Y6.1S7UG9Y8KHNA9@archlinux-x220>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
	protocol="application/pgp-signature"; boundary="TyFm8kc2nUiQcEvp"
Content-Disposition: inline
In-Reply-To: <CFB9746L08Y6.1S7UG9Y8KHNA9@archlinux-x220>


--TyFm8kc2nUiQcEvp
Content-Type: multipart/mixed; boundary="TDauQwnIMbYRmGNR"
Content-Disposition: inline


--TDauQwnIMbYRmGNR
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

>Ho=C3=ABl, would you be willing to share your patch?
Sure, it=E2=80=99s plain and simple. I=E2=80=99ve attached it to this mail.

Color names list can be found in ui.c, ligne 349, git tag 1.9a.

Note that Gentoo users can land this in /etc/portage/patches/net-irc/catgir=
l=20
and it will be applied automatically whenever net-irc/catgirl is installed =
or=20
updated. If you don=E2=80=99t feel comfortable with applying this to every =
catgirl=20
version (though I believe it=E2=80=99s simple enough for this to be safe), =
the last=20
directory can be named catgirl-1.9a instead of catgirl to restrict it.

Ho=C3=ABl

--TDauQwnIMbYRmGNR
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="timestamp-color.patch"

diff --git a/ui.c b/ui.c
index 1adcafe..2f5fc44 100644
--- a/ui.c
+++ b/ui.c
@@ -516,7 +516,7 @@ static void mainAdd(int y, bool time, const struct Line *line) {
 		strftime(buf, sizeof(buf), uiTime.format, localtime(&line->time));
 		wattr_set(
 			main,
-			colorAttr(Colors[Gray]), colorPair(Colors[Gray], -1),
+			colorAttr(Colors[Blue]), colorPair(Colors[Blue], -1),
 			NULL
 		);
 		waddstr(main, buf);

--TDauQwnIMbYRmGNR--

--TyFm8kc2nUiQcEvp
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEElZjiR4iQkYjVEGdt6jPCPrF3Nk0FAmF7FD0ACgkQ6jPCPrF3
Nk2rVA//YOdnEWRWvK7RFj/FFWLf4JhKUP0IUyKRg5KoSWX7MsIBF0xyxmg/g+PF
k1HTLCInW35TOZjBsjXtm2lfHYzrZSwLxisVJp2aCMurStpey6ksVr+vhu59vduj
CezTd0Quid6iP/l7U6JLvR5yykQ70YCK2O5KvblsUBuBRLBUDovrHM4lUHEKgpW1
VJrN3IpgznVjRgQftpsXgPNSlfo2lcUp7PWaKOy3N/0oTADlHpnrE1UUjrnBJjW6
v1482BxaqWThDZYfIZWvmHuSSmAcVr/38OABLtU4miBIN7JwQ/iLVPhndGJrQbKC
xfJTIjG2Mfc8pMzR4ymlqd1e3YPRj+ZpaF1BFIggZBAexGCkVxB4wyDEJ3KeNEWJ
zuZKio8KOBRrawAxGetSMgJCRHl190NakI/8YsfScppAJepcLIvn6Y5G2QVoi9zb
ab4fBfuVsEI5BaM9HeWjEjlH7b1blbtHjlpZpa4rrWCzdqTHF8z2FcnB3Syr0Hmk
WgJw0BWdud6QmGron1blWqb6WiuQTApK8TbWZbUAhWXXcT2AacUQfUPcKfkHWAtP
ljpwEUyxOM1lqJQ3t90dKTRaR9duQt8sanOwGcrjLQ3MY2uu0UrfTio6rz/GBZQC
wC2oqOn60HO+m4JdmB+MO1BtscU5C2kNM3pnIYirDpTaghFb2vE=
=Eho7
-----END PGP SIGNATURE-----

--TyFm8kc2nUiQcEvp--

